## net.i2p.router.web
Class NetDbHelper

    java.lang.Object
      net.i2p.router.web.NetDbHelper

    public class NetDbHelper

extends java.lang.Object

Constructor Summary
`NetDbHelper()`

Method Summary
`java.lang.String` `getNetDbSummary()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setWriter(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetDbHelper

    public NetDbHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setWriter

    public void setWriter(java.io.Writer writer)

### getNetDbSummary

    public java.lang.String getNetDbSummary()